from django.urls import reverse_lazy
from django.views.generic import ListView
from django.views.generic.edit import CreateView, DeleteView, UpdateView

from .models import Agent


class AgentList(ListView):
    model = Agent


class AgentCreate(CreateView):
    model = Agent
    success_url = reverse_lazy("agent_list")


class AgentUpdate(UpdateView):
    model = Agent
    success_url = reverse_lazy("agent_list")


class AgentDelete(DeleteView):
    model = Agent
    success_url = reverse_lazy("agent_list")
